package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.BisHiddRectProgMapper;
import com.goldenwater.slaj.hidd.domain.BisHiddRectProg;
import com.goldenwater.slaj.hidd.service.IBisHiddRectProgService;

/**
 * 隐患整改进展情况 服务层实现
 */
@Service
public class BisHiddRectProgServiceImpl implements IBisHiddRectProgService {

    @Autowired
    private BisHiddRectProgMapper bisHiddRectProgMapper;

    /**
     * 查询隐患整改进展情况信息
     * @param guid 查询条件
     * @return 隐患整改进展情况信息
     */
    @Override
    public BisHiddRectProg selectBisHiddRectProgByGuid(String guid) {
        return bisHiddRectProgMapper.selectBisHiddRectProgByGuid(guid);
    }

    /**
     * 查询隐患整改进展情况列表
     * @param bisHiddRectProg 隐患整改进展情况查询条件
     * @return 隐患整改进展情况集合
     */
    @Override
    public List<BisHiddRectProg> selectBisHiddRectProgList(BisHiddRectProg bisHiddRectProg) {
        return bisHiddRectProgMapper.selectBisHiddRectProgList(bisHiddRectProg);
    }

    /**
     * 新增隐患整改进展情况
     * @param bisHiddRectProg 隐患整改进展情况信息
     * @return 影响行数
     */
    @Override
    public int insertBisHiddRectProg(BisHiddRectProg bisHiddRectProg) {
        return bisHiddRectProgMapper.insertBisHiddRectProg(bisHiddRectProg);
    }

    /**
     * 修改隐患整改进展情况
     * @param bisHiddRectProg 隐患整改进展情况信息
     * @return 影响行数
     */
    @Override
    public int updateBisHiddRectProg(BisHiddRectProg bisHiddRectProg) {
        return bisHiddRectProgMapper.updateBisHiddRectProg(bisHiddRectProg);
    }

    /**
     * 删除隐患整改进展情况
     * @param guid 隐患整改进展情况主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddRectProgByGuid(String guid) {
        return bisHiddRectProgMapper.deleteBisHiddRectProgByGuid(guid);
    }

    /**
     * 批量删除隐患整改进展情况
     * @param guids 隐患整改进展情况主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddRectProgByGuids(String[] guids) {
        return bisHiddRectProgMapper.deleteBisHiddRectProgByGuids(guids);
    }
}
